#!/bin/sh

config() {
 NEW="$1"
 OLD="`dirname $NEW`/`basename $NEW .new`"
 if [ ! -r $OLD ] ; then
  mv $NEW $OLD
  echo ""
  echo "  --> Installed new configuration file $OLD"
 elif [ "`cat $OLD 2> /dev/null | md5sum`" = "`cat $NEW 2> /dev/null | md5sum`" ] ; then
  rm -f $NEW
 else
  echo ""
  echo "  --> Installed new configuration file: $NEW"
  echo "  --> Setting ownership and permissions to match $OLD"
  cp -a $OLD $NEW.incoming
  cat $NEW > $NEW.incoming
  mv $NEW.incoming $NEW
  echo "  --> Preserving your old configuration file: $OLD"
  echo "  Please examine your existing configuration file: $OLD"
  echo "  to see if it needs to be updated from: $NEW"
  echo ""
 fi
}

config etc/rc.d/rc.modules-2.6.31.11.new

# If rc.modules is a real file, back it up:
if [ -r etc/rc.d/rc.modules -a ! -L etc/rc.d/rc.modules ]; then
  cp -a etc/rc.d/rc.modules etc/rc.d/rc.modules.bak 
fi

# A good idea whenever kernel modules are added or changed:
if [ -x sbin/depmod ]; then
  chroot . /sbin/depmod -a 2.6.31.11 1> /dev/null 2> /dev/null
fi


